using System;
using System.Collections.Generic;

namespace JobPortalAPI.Models
{
    public partial class Company
    {
        public Company()
        {
            Interviews = new HashSet<Interview>();
            Jobs = new HashSet<Job>();
            Notifications = new HashSet<Notification>();
        }

        public int Id { get; set; }
        public string Description { get; set; } = null!;

        public virtual Person IdNavigation { get; set; } = null!;
        public virtual ICollection<Interview> Interviews { get; set; }
        public virtual ICollection<Job> Jobs { get; set; }
        public virtual ICollection<Notification> Notifications { get; set; }
    }
}
